Bug 458621 - Review Request: translation-filter - A l10n file filter
Review Request: translation-filter - A l10n file filter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 01:55 EDT by kushaldas@gmail.com
Modified: 2008-09-10 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 14:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2008-08-11 01:55:57 EDT
Spec URL: http://kushal.fedorapeople.org/translation-filter.spec
SRPM URL: http://kushal.fedorapeople.org/translation-filter-0.0.2-1.fc9.noarch.rpm
Description: A l10n file filter to check translations
Comment 1 kushaldas@gmail.com 2008-08-11 02:05:38 EDT
Oops, made mistake in link

Correct ones are

Spec URL: http://kushal.fedorapeople.org/translation-filter.spec
SRPM URL:
http://kushal.fedorapeople.org/translation-filter-0.0.2-1.fc9.src.rpm
Comment 2 Parag AN(पराग) 2008-08-11 02:14:57 EDT
Need some work:
1)Remove unnecessary line from SPEC
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

2) Remove docs/LICENSE from SPEC

3) build failed with error
/var/tmp/rpm-tmp.bbjMqY: line 31: desktop-file-install: command not found
 ==> Add desktop-file-install as BR
Comment 3 Parag AN(पराग) 2008-08-11 02:19:16 EDT
(In reply to comment #2)
> Need some work:
> 1)Remove unnecessary line from SPEC
> %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
> 
> 2) Remove docs/LICENSE from SPEC
> 
> 3) build failed with error
> /var/tmp/rpm-tmp.bbjMqY: line 31: desktop-file-install: command not found
>  ==> Add desktop-file-install as BR

oops. it should be BR: desktop-file-utils

4) also license looks to me GPLv2
Comment 4 kushaldas@gmail.com 2008-08-11 02:21:35 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Need some work:
> > 1)Remove unnecessary line from SPEC
> > %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
> > distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
> > 
> > 2) Remove docs/LICENSE from SPEC
> > 
> > 3) build failed with error
> > /var/tmp/rpm-tmp.bbjMqY: line 31: desktop-file-install: command not found
> >  ==> Add desktop-file-install as BR
> 
> oops. it should be BR: desktop-file-utils
> 
> 4) also license looks to me GPLv2

Fixed

Spec URL:http://kushal.fedorapeople.org/translation-filter.spec
SRPM URL: http://kushal.fedorapeople.org/translation-filter-0.0.2-2.fc9.src.rpm
Comment 5 Parag AN(पराग) 2008-08-11 04:19:38 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=769876
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
ca6b4bf23f0745e6717905b3d62b32b0  translation-filter-0.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ GUI app.
+ Package installed correctly.

APPROVED.
Comment 6 kushaldas@gmail.com 2008-08-11 05:36:10 EDT
New Package CVS Request
=======================
Package Name: translation-filter
Short Description: A l10n file filter
Owners: kushal
Branches: F-9 EL-5
InitialCC: kushal
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-08-11 13:23:18 EDT
cvs done.
Comment 8 Fedora Update System 2008-08-12 08:48:00 EDT
translation-filter-0.0.2-2.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-09-10 03:25:19 EDT
translation-filter-0.0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.